{
  description = "Environnement de développement pour kubernetes pour apprendre";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    nixpkgs,
    flake-utils,
    ...
  }: flake-utils.lib.eachSystem flake-utils.lib.allSystems (system:
    let
      pkgs = import nixpkgs { inherit system; };
    in {
      devShells = {
        default = pkgs.mkShell {
          packages = with pkgs; [
            minikube
            kubectl
            docker-machine-kvm2 # Required for run on NixOS
            sops
            kubernetes-helm
            kubeseal
          ];
        };
      };
    }
  );
}

